### Signal

# Gtk DrawingArea::resize

#### Declaration

    void
    resize (
      GtkDrawingArea* self,
      gint width,
      gint height,
      gpointer user_data
    )

#### Description [src]

Emitted once when the widget is realized, and then each time the widget is changed while realized.

This is useful in order to keep state up to date with the widget size, like for instance a backing surface.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`width`

  Type: `gint`

  The width of the viewport.

`height`

  Type: `gint`

  The height of the viewport.